Bug 122481 - Soundcard not working
Soundcard not working
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: system-config-soundcard (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bastien Nocera
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-04 19:52 EDT by Mike Lynn
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-19 17:56:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
modprobe.conf (536 bytes, text/plain)
2004-05-04 19:53 EDT, Mike Lynn
no flags Details
modprobe.conf.dist (5.35 KB, text/plain)
2004-05-04 19:54 EDT, Mike Lynn
no flags Details

  None (edit)
Description Mike Lynn 2004-05-04 19:52:30 EDT
Description of problem:
I just installed Fedora Core test3 to a new partition on my machine,
but cannot get the soundcard to work at all.  Today I updated all of
the packages on my machine via up2date (I noticed that there was an
ALSA update), but still no luck.  When I run the
system-config-soundcard utility, I press the button to play the sound,
and the utility pauses as if it's playing the file, but no sound...
and yes, I've unplugged, plugged, checked and double-checked the
connections...

The soundcard worked with Redhat 9.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install Fedora core, 
2. Attempt to configure soundcard via system-config-soundcard, no sound.
3.
  
Additional info:

The system-config-soundcard utility contains the following information
when run:

[root@chunk /]# system-config-soundcard
Simple mixer control 'PCM',0
  Capabilities: pvolume pswitch pswitch-joined
  Playback channels: Front Left - Front Right
  Limits: Playback 0 - 31
  Front Left: Playback 23 [74%] [on]
  Front Right: Playback 23 [74%] [on]
-9

The display shows that the following audio device was detected:
Vendor: Creative Labs
Model:  SB Live! EMU10k1
Module: snd-emu10k1

When I run
play /usr/share/system-config-soundcard/sound-sample.wav
play completes after a couple of seconds with no errors.

[root@chunk sbin]$ ./lsmod
Module                  Size  Used by
audio                  43652  0
snd_mixer_oss          13952  2
snd_emu10k1            88068  3
snd_rawmidi            21408  1 snd_emu10k1
snd_pcm                82568  1 snd_emu10k1
snd_timer              25092  1 snd_pcm
snd_seq_device          6280  2 snd_emu10k1,snd_rawmidi
snd_ac97_codec         54404  1 snd_emu10k1
snd_page_alloc          8068  2 snd_emu10k1,snd_pcm
snd_util_mem            3328  1 snd_emu10k1
snd_hwdep               6532  1 snd_emu10k1
snd                    43748  11
snd_mixer_oss,snd_emu10k1,snd_rawmidi,snd_pcm,snd_timer,snd_seq_device,snd_ac97_codec,snd_util_mem,snd_hwdep
...
soundcore               7520  4 audio,snd


Let me know if you need anything more...
mike
Comment 1 Mike Lynn 2004-05-04 19:53:24 EDT
Created attachment 99970 [details]
modprobe.conf

My modprobe.conf
Comment 2 Mike Lynn 2004-05-04 19:54:07 EDT
Created attachment 99971 [details]
modprobe.conf.dist

My modprobe.conf.dist
Comment 3 Greg Swallow 2004-06-03 06:41:27 EDT
Am having similar problems with two Dual iPII266 systems: Originally
tried with SBPro2 ISA cards and got no detection; nothing. Picked up a
couple of SB Live 5.1 cards and are detected, driver is loaded etal,
but no sound.

sysconfig

class: AUDIO
bus: PCI
detached: 0
driver: snd-emu10k1
desc: "Creative Labs|SB Live! EMU10k1"
vendorId: 1102
deviceId: 0002
subVendorId: 1102
subDeviceId: 8066
pciType: 1
pcidom:    0
pcibus:  0
pcidev: 11
pcifn:  0

lsmod

Module                  Size  Used by
snd_pcm_oss            45220  0
nfsd                  164128  9
exportfs                8448  1 nfsd
lockd                  52552  2 nfsd
snd_mixer_oss          17792  3 snd_pcm_oss
snd_emu10k1            77572  4
snd_rawmidi            21792  1 snd_emu10k1
snd_pcm                76420  2 snd_pcm_oss,snd_emu10k1
snd_timer              22404  1 snd_pcm
snd_seq_device         10120  2 snd_emu10k1,snd_rawmidi
snd_ac97_codec         54916  1 snd_emu10k1
snd_page_alloc         12036  2 snd_emu10k1,snd_pcm
snd_util_mem            7168  1 snd_emu10k1
snd_hwdep              10372  1 snd_emu10k1
snd                    43876  14
snd_pcm_oss,snd_mixer_oss,snd_emu10k1,snd_rawmidi,snd_pcm,snd_timer,snd_seq_device,snd_ac97_codec,snd_util_mem,snd_hwdep
soundcore              10336  3 snd
parport_pc             23616  1
lp                     12300  0
parport                34632  2 parport_pc,lp
autofs4                15488  0
sunrpc                110280  19 nfsd,lockd
tulip                  41376  0
8139too                22656  0
mii                     7552  1 8139too
ipt_state               5504  2
iptable_filter          6016  1
iptable_nat            22052  0
ip_conntrack           30348  2 ipt_state,iptable_nat
ip_tables              18048  3 ipt_state,iptable_filter,iptable_nat
floppy                 52336  0
sg                     32288  0
microcode              10400  0
dm_mod                 37536  0
uhci_hcd               28188  0
ipv6                  214624  10
ext3                  108136  3
jbd                    50328  1 ext3
aic7xxx               141752  0
sd_mod                 20352  0
scsi_mod               97224  3 sg,aic7xxx,sd_mod

Comment 4 Brent Fox 2004-06-17 14:46:59 EDT
Do you still have the problem with FC2 final?
Comment 5 Mike Lynn 2004-09-19 12:26:21 EDT
...I have a dell dimension 8200, which has 2 front USB ports - I had a
Logitech QuickCam plugged into one of these front ports and it turned
out that if I switched it to one of the back ports, sound worked
perfectly (mplayer/xine - alsa fine).  Do you need any debug info from
me?  Dunno if it's something that would need to be fixed.
Comment 6 Bastien Nocera 2004-09-19 17:56:26 EDT
Mike, this bug is most likely fixed with the latest version of
system-config-soundcard and kudzu available for Fedora Core 3 test.
Don't hesitate to open a new bug if you have problems under that version.

Note You need to log in before you can comment on or make changes to this bug.